Skip to main content
POST
/
v1
/
organizations
/
{organizationId}
/
webhooks
/
endpoints
Create a webhook endpoint
curl --request POST \
  --url https://api.tripwirejs.com/v1/organizations/{organizationId}/webhooks/endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Growth Workspace",
  "url": "https://app.acme.co/signup",
  "event_types": [
    "session.fingerprint.calculated"
  ]
}
'
{
  "data": {
    "object": "webhook_endpoint",
    "id": "we_0123456789abcdef0123456789abcdef",
    "name": "Acme Growth Workspace",
    "url": "https://app.acme.co/signup",
    "status": "active",
    "event_types": [
      "session.fingerprint.calculated"
    ],
    "signing_secret": "whsec_0123456789abcdef0123456789abcdef",
    "created_at": "2026-03-24T20:00:00.000Z",
    "updated_at": "2026-03-24T20:00:05.000Z"
  },
  "meta": {
    "request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
  }
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer . Gate business endpoints require sk_* secret keys. Gate workflow endpoints use gate-native bearer tokens such as gtpoll_* or agt_* where documented.

Path Parameters

organizationId
string
required
Pattern: ^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$
Example:

"org_f6m39y94nh6fs513q03skj929c"

Body

application/json
name
string
required
Minimum string length: 1
Example:

"Acme Growth Workspace"

url
string<uri>
required
Example:

"https://app.acme.co/signup"

event_types
enum<string>[]
required
Minimum array length: 1
Available options:
session.fingerprint.calculated,
session.result.persisted,
gate.session.approved
Example:
["session.fingerprint.calculated"]

Response

Webhook endpoint created.

data
object
required
Example:
{
"object": "webhook_endpoint",
"id": "we_0123456789abcdef0123456789abcdef",
"name": "Acme Growth Workspace",
"url": "https://app.acme.co/signup",
"status": "active",
"event_types": ["session.fingerprint.calculated"],
"signing_secret": "whsec_0123456789abcdef0123456789abcdef",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}
meta
object
required
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}